# $Revision: 1.14 $, $Date: 2006/07/25 21:29:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Spiffy
%define		pnam	Spiffy
Summary:	Spiffy - Spiffy Perl Interface Framework For You
Summary(pl):	Spiffy - szkielet interfejsu perlowego dla ciebie
Name:		perl-Spiffy
Version:	0.30
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/I/IN/INGY/%{pnam}-%{version}.tar.gz
# Source0-md5:	49860ccf2127c6d2af3d98560ffae644
URL:		http://search.cpan.org/dist/Spiffy/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"Spiffy" is a Perl module interface methodology and framework. It is a
base class for implementing other Perl modules using author's favorite
tricks.

%description -l pl
"Spiffy" (Spiffy Perl Interface Framework For You, czyli szkielet
interfejsu perlowego dla ciebie) to metodologia i szkielet interfejsu
moduu Perla. Jest to klasa bazowa do implementowania innych moduw
Perla przy uyciu ulubionych sztuczek autora.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Spiffy/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Spiffy.pm
%{_mandir}/man3/Spiffy*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Spiffy.spec,v $
Revision 1.14  2006/07/25 21:29:00  glen
- check-files cleanup

Revision 1.13  2006/02/02 18:26:29  qboosh
- (generic) URL

Revision 1.12  2006/01/30 21:01:08  migo
- up to 0.30

Revision 1.11  2005/07/23 21:22:39  radek
- version 0.24

Revision 1.10  2004/12/27 16:52:35  adamg
- updated to 0.21

Revision 1.9  2004/11/03 22:30:44  paladine
- formatting

Revision 1.8  2004/08/13 19:30:42  adamg
- updated to 0.20

Revision 1.7  2004/08/08 18:40:47  adamg
- updated to 0.19

Revision 1.6  2004/05/09 15:04:18  adamg
- updated to 0.16

Revision 1.5  2004/05/02 05:34:23  ankry
- license fix, cosmetics

Revision 1.4  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.3  2004/03/28 18:35:28  adamg
- updated to 0.15

Revision 1.2  2004/03/18 20:31:21  qboosh
- pl, removed template changelog

Revision 1.1  2004/03/17 22:58:54  migo
- initial revision
